@echo off
cls
echo ACTIVATING REALBOT FOR COUNTER-STRIKE 1.6
echo.
echo STEP 1. Copying Counter-Strike 1.6 INI maps.
copy data\cstrike\ini\cs16\*.ini data\cstrike\ini\

echo STEP 2. Copying RealBot's LIBLIST.GAM
rem Copy the file into cstrike as liblist.rb
copy data\cstrike\liblist.c16 ..\cstrike\liblist.rb

echo STEP 3. Copying proper BOT.CFG file
rem Copy proper bot.cfg
copy data\cstrike\bot.c16 bot.cfg

rem Copy the commandmenu and waypoint menu to the cstrike folder
IF EXIST ..\cstrike\commandmenu.txt echo STEP 4. Found existing COMMANDMENU.TXT, renaming to COMMANDMENU.BAK
IF EXIST ..\cstrike\commandmenu.txt copy ..\cstrike\commandmenu.txt ..\cstrike\commandmenu.bak
IF EXIST ..\cstrike\commandmenu.txt del ..\cstrike\commandmenu.txt
IF NOT EXIST ..\cstrike\commandmenu.txt echo STEP 4. Copying COMMANDMENU.TXT to CSTRIKE mod dir.
IF NOT EXIST ..\cstrike\commandmenu.txt copy commandmenu.txt ..\cstrike

rem Copy waypoint menu
echo STEP 5. Copying WPTMENU.CFG ...
IF NOT EXIST ..\cstrike\wptmenu.cfg echo COPYING WPTMENU.CFG TO CSTRIKE MOD DIR.
IF NOT EXIST ..\cstrike\wptmenu.cfg copy wptmenu.cfg ..\cstrike
echo You can use the menu by pressing H in the game.
cd..
cd cstrike
echo STEP 6. Taking meassures on LIBLIST.GAM files, activating ...
IF EXIST liblist.rbn echo liblist.gam already backupped, overwriting
IF EXIST liblist.rbn del liblist.gam
IF NOT EXIST liblist.rbn echo Backing up your current liblist.gam (into liblist.rbn)
IF NOT EXIST liblist.rbn rename liblist.gam liblist.rbn
rename liblist.rb  liblist.gam
echo DONE.
pause.